<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2004 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
// $Id: japanese.php,v 1.4 2005/02/05 06:27:33 shida Exp $
//

  define('NAVI_WELCOME', 'ようこそ');
  define('NAVI_LICENSE', 'ライセンス');
  define('NAVI_PREREQUISITES', 'システム検査');
  define('NAVI_SYSTEM_SETUP', 'システム設定');
  define('NAVI_PHPBB_SETUP', 'phpBB設定');
  define('NAVI_DATABASE_SETUP', 'データベース設定');
  define('NAVI_DATABASE_UPGRADE', 'データベースアップグレード');
  define('NAVI_STORE_SETUP', '店舗設定');
  define('NAVI_ADMIN_SETUP', '管理者設定');
  define('NAVI_FINISHED', '完了');

  define('YES', 'YES');
  define('NO', 'NO');

  // Global entries for the <html> tag
  define('HTML_PARAMS','dir="ltr" lang="ja"');

  // charset for web pages and emails
  define('CHARSET', 'EUC-JP');

  // META TAG TITLE
  define('META_TAG_TITLE', 'Zen Cart Installer');

  if (isset($_GET['main_page']) && ($_GET['main_page']== 'index' || $_GET['main_page']== 'license')) {
    define('TEXT_ERROR_WARNING', 'Hi: Just a few issues that need addressing before we continue.');
  } else {
    define('TEXT_ERROR_WARNING', '<span class="errors"><strong>警告: 問題が見つかりました</strong></span>');
  }
  define('TEXT_HELP_LINK', ' 詳細情報...');
  define('TEXT_CLOSE_WINDOW', 'Close Window');
  define('STORE_ADDRESS_DEFAULT_VALUE', '店舗名
  住所
  国名
  電話番号');

  define('ERROR_TEXT_4_1_2', 'PHP Version is 4.1.2');
  define('ERROR_CODE_4_1_2', '1');

  define('ERROR_TEXT_ADMIN_CONFIGURE', '/admin/includes/configure.php が存在しません');
  define('ERROR_CODE_ADMIN_CONFIGURE', '2');

  define('ERROR_TEXT_STORE_CONFIGURE', '/includes/configure.php が存在しません');
  define('ERROR_CODE_STORE_CONFIGURE', '3');

  define('ERROR_TEXT_PHYSICAL_PATH_ISEMPTY', '物理パスが入力されていません');
  define('ERROR_CODE_PHYSICAL_PATH_ISEMPTY', '9');

  define('ERROR_TEXT_PHYSICAL_PATH_INCORRECT', '物理パスが不適切です');
  define('ERROR_CODE_PHYSICAL_PATH_INCORRECT', '10');

  define('ERROR_TEXT_VIRTUAL_HTTP_ISEMPTY', '仮想HTTPが入力されていません');
  define('ERROR_CODE_VIRTUAL_HTTP_ISEMPTY', '11');

  define('ERROR_TEXT_VIRTUAL_HTTPS_ISEMPTY', '仮想HTTPSが入力されていません');
  define('ERROR_CODE_VIRTUAL_HTTPS_ISEMPTY', '12');

  define('ERROR_TEXT_VIRTUAL_HTTPS_SERVER_ISEMPTY', '仮想HTTPS サーバが入力されていません');
  define('ERROR_CODE_VIRTUAL_HTTPS_SERVER_ISEMPTY', '13');

  define('ERROR_TEXT_DB_USERNAME_ISEMPTY', 'DBユーザ名が入力されていません');
  define('ERROR_CODE_DB_USERNAME_ISEMPTY', '16'); // re-using another one, since message is essentially the same.

  define('ERROR_TEXT_DB_HOST_ISEMPTY', 'DBホストが入力されていません');
  define('ERROR_CODE_DB_HOST_ISEMPTY', '24');

  define('ERROR_TEXT_DB_NAME_ISEMPTY', 'DB名が入力されていません'); 
  define('ERROR_CODE_DB_NAME_ISEMPTY', '25');

  define('ERROR_TEXT_DB_SQL_NOTEXIST', 'SQLインストールファイルが存在しません');
  define('ERROR_CODE_DB_SQL_NOTEXIST', '26');

  define('ERROR_TEXT_DB_NOTSUPPORTED', 'Databaseがサポートされていません');
  define('ERROR_CODE_DB_NOTSUPPORTED', '27');

  define('ERROR_TEXT_DB_CONNECTION_FAILED', 'Databaseへの接続に失敗しました');
  define('ERROR_CODE_DB_CONNECTION_FAILED', '28');

  define('ERROR_TEXT_DB_CREATE_FAILED', 'Databaseを作成できませんでした');
  define('ERROR_CODE_DB_CREATE_FAILED', '29');

  define('ERROR_TEXT_DB_NOTEXIST', 'Databaseが存在しません');
  define('ERROR_CODE_DB_NOTEXIST', '30');

  define('ERROR_TEXT_STORE_NAME_ISEMPTY', '店舗名が入力されていません');
  define('ERROR_CODE_STORE_NAME_ISEMPTY', '31');

  define('ERROR_TEXT_STORE_OWNER_ISEMPTY', '店舗オーナーが入力されていません');
  define('ERROR_CODE_STORE_OWNER_ISEMPTY', '32');

  define('ERROR_TEXT_STORE_OWNER_EMAIL_ISEMPTY', '店舗emailアドレスが入力されていません');
  define('ERROR_CODE_STORE_OWNER_EMAIL_ISEMPTY', '33');

  define('ERROR_TEXT_STORE_OWNER_EMAIL_NOTEMAIL', '店舗emailアドレスは有効なものではありません');
  define('ERROR_CODE_STORE_OWNER_EMAIL_NOTEMAIL', '34');

define('ERROR_TEXT_STORE_ADDRESS_ISEMPTY', '店舗住所が入力されていません');
define('ERROR_CODE_STORE_ADDRESS_ISEMPTY', '35');

define('ERROR_TEXT_DEMO_SQL_NOTEXIST', 'デモ商品SQLファイルが存在しません');
define('ERROR_CODE_DEMO_SQL_NOTEXIST', '36');

define('ERROR_TEXT_ADMIN_USERNAME_ISEMPTY', '管理者IDが入力されていません');
define('ERROR_CODE_ADMIN_USERNAME_ISEMPTY', '46');

define('ERROR_TEXT_ADMIN_EMAIL_ISEMPTY', '管理者emailが入力されていません');
define('ERROR_CODE_ADMIN_EMAIL_ISEMPTY', '47');

define('ERROR_TEXT_ADMIN_EMAIL_NOTEMAIL', '管理者emailは有効なものではありません');
define('ERROR_CODE_ADMIN_EMAIL_NOTEMAIL', '48');

define('ERROR_TEXT_ADMIN_PASS_ISEMPTY', '管理者パスワードが入力されていません');
define('ERROR_CODE_ADMIN_PASS_ISEMPTY', '49');

define('ERROR_TEXT_ADMIN_PASS_NOTEQUAL', 'パスワードが一致しません');
define('ERROR_CODE_ADMIN_PASS_NOTEQUAL', '50');

define('ERROR_TEXT_PHP_VERSION', 'サポート外のPHP Versionです');
define('ERROR_CODE_PHP_VERSION', '55');

define('ERROR_TEXT_ADMIN_CONFIGURE_WRITE', 'admin configure.php が書き込み可能ではありません');
define('ERROR_CODE_ADMIN_CONFIGURE_WRITE', '56');

define('ERROR_TEXT_STORE_CONFIGURE_WRITE', 'store configure.php が書き込み可能ではありません');
define('ERROR_CODE_STORE_CONFIGURE_WRITE', '57');

define('ERROR_TEXT_CACHE_DIR_ISEMPTY', 'Session/SQL Cache Directory entry が入力されていません');
define('ERROR_CODE_CACHE_DIR_ISEMPTY', '61');

define('ERROR_TEXT_CACHE_DIR_ISDIR', 'Session/SQL Cache Directory entry が存在しません');
define('ERROR_CODE_CACHE_DIR_ISDIR', '62');

define('ERROR_TEXT_CACHE_DIR_ISWRITEABLE', 'Session/SQL Cache Directory entry が書き込み可能ではありません');
define('ERROR_CODE_CACHE_DIR_ISWRITEABLE', '63');

define('ERROR_TEXT_PHPBB_CONFIG_NOTEXIST', 'phpBB設定ファイルが存在しません');
define('ERROR_CODE_PHPBB_CONFIG_NOTEXIST', '68');

define('ERROR_TEXT_REGISTER_GLOBALS_ON', 'Register Globals is ON');
define('ERROR_CODE_REGISTER_GLOBALS_ON', '69');

define('ERROR_TEXT_SAFE_MODE_ON', 'Safe Mode is ON');
define('ERROR_CODE_SAFE_MODE_ON', '70');

define('ERROR_TEXT_CACHE_CUSTOM_NEEDED','キャッシュフォルダはファイルキャッシングサポートを使用するために必要です');
define('ERROR_CODE_CACHE_CUSTOM_NEEDED', '71');

define('ERROR_TEXT_TABLE_RENAME_CONFIGUREPHP_FAILED','新しいプレフィクスでconfigure.phpファイルを更新できませんでした');
define('ERROR_CODE_TABLE_RENAME_CONFIGUREPHP_FAILED', '72');

define('ERROR_TEXT_TABLE_RENAME_INCOMPLETE','すべてのテーブルのリネームができませんでした');
define('ERROR_CODE_TABLE_RENAME_INCOMPLETE', '73');

define('ERROR_TEXT_PHYSICAL_HTTPS_PATH_INCORRECT', '物理HTTPSパスが不適切です');
define('ERROR_CODE_PHYSICAL_HTTPS_PATH_INCORRECT', '75');


  $error_code ='';
if (isset($_GET['error_code'])) {
  $error_code = $_GET['error_code'];
  }

switch ($error_code) {
  case ('1'):
    define('POPUP_ERROR_HEADING', 'PHP Version 4.1.2 が検知されました');
    define('POPUP_ERROR_TEXT', 'PHP Version 4.1.2のいくつかのリリースは、スーパーグローバル配列に影響するバグを持っています。そのためにZen Cartのadminセクションにアクセス不可能ということになるかもしれません。可能であればPHPバージョンをアップグレードすることを勧めます。');
    
  break;
  case ('2'):
    define('POPUP_ERROR_HEADING', '/admin/includes/configure.php が存在しません');
    define('POPUP_ERROR_TEXT', 'ファイル /admin/includes/configure.php が存在しません。空のファイルを作成するか、/admin/includes/dist-configure.php を configure.php へリネームすることでこのファイルを作成できます。作成後、read-write をマークするか、CHMOD 666 または CHMOD 777 とする必要があります。');
    
  break;
  case ('3'):
    define('POPUP_ERROR_HEADING', '/includes/configure.php が存在しません');
    define('POPUP_ERROR_TEXT', 'ファイル /includes/configure.php が存在しません。空のファイルを作成するか、/includes/dist-configure.php を configure.php へリネームすることでこのファイルを作成できます。作成後、read-write をマークするか、CHMOD 666 または CHMOD 777 とする必要があります。');
    
  break;
  case ('4'):
    define('POPUP_ERROR_HEADING', '物理パス');
    define('POPUP_ERROR_TEXT', '物理パスはZen Cartのファイル群がインストールされたディレクトリへのパスです。例として、あるlinuxシステムではhtmlファイルは /var/www/html へ格納されます。もしZen Cartファイル群を \'store\' というディレクトリへ置いたなら、物理パスは /var/www/html/store となるでしょう。たいていはインストーラがこのディレクトリを正確に推測していると信頼してよいでしょう。');
    
  break;
  case ('5'):
    define('POPUP_ERROR_HEADING', '仮想HTTPパス');
    define('POPUP_ERROR_TEXT', 'これはZen Cartウェブサイトを閲覧するためにウェブブラウザに入力するアドレスのことです。もしサイトがドメインの \'root\' にあるなら、これは \'http://www.yourdomain.com\' となるでしょう。もし \'store\' というディレクトリの下に置いたのであれば、 \'http://www.yourdomain.com/store\' となるでしょう。');
    
  break;
  case ('6'):
    define('POPUP_ERROR_HEADING', '仮想HTTPSサーバ');
    define('POPUP_ERROR_TEXT', 'これはsecure/SSLサーバへのウェブサーバアドレスです。このアドレスはSSL/Secureモードがサーバ上でどのように実行されているかによって変わります。これを正しく設定するのを確実にするために<a href="http://www.zen-cart.com/modules/xoopsfaq/index.php?cat_id=2#46" target="_blank">FAQ集</a>でSSLについて読むことを勧めます。');
    
  break;
  case ('7'):
    define('POPUP_ERROR_HEADING', '仮想HTTPSパス');
    define('POPUP_ERROR_TEXT', 'これはZen Cartウェブサイトをsecure/SSLモードで閲覧するためにウェブブラウザに入力するアドレスのことです。これを正しく設定するのを確実にするために<a href="http://www.zen-cart.com/modules/xoopsfaq/index.php?cat_id=2#46" target="_blank">FAQ集</a>でSSLについて読むことを勧めます。');
    
  break;
  case ('8'):
    define('POPUP_ERROR_HEADING', 'Enable SSL');
    define('POPUP_ERROR_TEXT', 'この設定はZen Cartウェブサイト上のセキュリティ脆弱なページに SSL/Secure (HTTPS:) モードを使用するかどうか決めます。<br /><br />個人情報が入力されるあらゆるページ、例えばログイン、チェックアウト、アカウント詳細などをSSL/Secureモードにより保護することができます。さらに、それは管理者エリアに適用することもできます。<br /><br />SSLサーバ(HTTPの代わりにHTTPSの使用により表示された)にアクセスしなければなりません。<br /><br />SSLサーバがあるかどうか分からなければ、今はこの設定を \'No\' のままにしておいてください、そして自分のホスティングプロバイダへ確認してください。注:すべての設定は、configure.phpファイルを編集することで後から変更することができます。');
    
  break;
  case ('9'):
    define('POPUP_ERROR_HEADING', '物理パスが入力されませんでした');
    define('POPUP_ERROR_TEXT', '物理パスが入力されませんでした。有効な値を入力する必要があります。');
    
  break;
  case ('10'):
    define('POPUP_ERROR_HEADING', '物理パスは正しくありません');
    define('POPUP_ERROR_TEXT', '入力された物理パスは有効ではありません。修正して再度試してください。');
    
  break;
  case ('11'):
    define('POPUP_ERROR_HEADING', '仮想HTTPが入力されませんでした');
    define('POPUP_ERROR_TEXT', '仮想HTTPパスが入力されませんでした。有効な値を入力する必要があります。');
    
  break;
  case ('12'):
    define('POPUP_ERROR_HEADING', '仮想HTTPSが入力されませんでした');
    define('POPUP_ERROR_TEXT', 'SSLモード有効を選択した上で仮想HTTPSパスが入力されませんでした。有効な値を入力するか、SSLモードを無効にする必要があります。');
    
  break;
  case ('13'):
    define('POPUP_ERROR_HEADING', '仮想HTTPSサーバが入力されませんでした');
    define('POPUP_ERROR_TEXT', 'SSLモード有効を選択した上で仮想HTTPSサーバが入力されませんでした。有効な値を入力するか、SSLモードを無効にする必要があります。');
    
  break;
  case ('14'):
    define('POPUP_ERROR_HEADING', 'データベースタイプ');
    define('POPUP_ERROR_TEXT', 'Zen Cartは複数のデータベースタイプに対応するよう設計されています。残念ながらまだその対応が完了していません。今の時点では常にMySQLのままにしておいて下さい。。');
    
  break;
  case ('15'):
    define('POPUP_ERROR_HEADING', 'データベースホスト');
    define('POPUP_ERROR_TEXT', 'これはあなたのホストがデータベースプログラムを実行するウェブサーバの名前です。ほとんどの場合、 \'localhost\' のままで大丈夫です。それ以外の場合は、それらのデータベースサーバのサーバ名をホスティングプロバイダへ尋ねる必要があるでしょう。');
    
  break;
  case ('16'):
    define('POPUP_ERROR_HEADING', 'データベースユーザ名');
    define('POPUP_ERROR_TEXT', 'すべてのデータベースはアクセスするためにユーザ名およびパスワードを必要とします。データベースユーザ名はホスティングプロバイダによって割り当てられているでしょう。その詳細についてはホスティングプロバイダに確認してください。');
    
  break;
  case ('17'):
    define('POPUP_ERROR_HEADING', 'データベースパスワード');
    define('POPUP_ERROR_TEXT', 'すべてのデータベースはアクセスするためにユーザ名およびパスワードを必要とします。データベースパスワードは、ホスティングプロバイダにより割り当てられているでしょう。その詳細についてはホスティングプロバイダに確認してください。');
    
  break;
  case ('18'):
    define('POPUP_ERROR_HEADING', 'データベース名');
    define('POPUP_ERROR_TEXT', 'これはZen Cartに使用するデータベース名です。もし何を入力するか不確実であるならば、ホスティングプロバイダに詳細を確認してください。');
    
  break;
  case ('19'):
    define('POPUP_ERROR_HEADING', 'データベースプレフィクス');
    define('POPUP_ERROR_TEXT', 'Zen Cartは、使用されるテーブルの名前にプレフィクスを加えることができます。ホストから1つだけデータベースを与えていて、データベースを使用する他のスクリプトもインストールしたい場合に、これは特に有用です。通常はデフォルトの設定のままにしておくべきです。');
    
  break;
  case ('20'):
    define('POPUP_ERROR_HEADING', 'データベース作成');
    define('POPUP_ERROR_TEXT', 'この設定は、Zen Cart用のデータベースを作成することをインストーラが試みるかどうかを決めます。注:\'create\'の処理は、Zen Cartに必要なテーブルを追加することと全く関係ありません。それらは自動的に行われるでしょう。多くのホストでは \'create\' 権限を与えていないでしょうが、空のデータベースを作成する別の方法(例えばcPanel、phpMyAdmin)を提供しているでしょう。');
    
  break;
  case ('21'):
    define('POPUP_ERROR_HEADING', 'データベース接続');
    define('POPUP_ERROR_TEXT', '持続的接続(Persistent connection)はデータベースの負荷を減少する方法です。このオプションを設定する前にサーバホストに意見を求めるべきです。もしあなたのホストが\'Persistent connection\'を扱ったことがなければ、データベース上の問題をもたらすかもしれません。<br /><br />このオプションの使用を考慮する前に必ずあなたのホストと話し合ってください。');
    
  break;
  case ('22'):
    define('POPUP_ERROR_HEADING', 'データベースセッション');
    define('POPUP_ERROR_TEXT', 'これは、ファイルあるいはデータベースにセッション情報を格納するかどうかを決めます。ファイルベースのセッションの方が速いとしても、データベースセッションはセキュリティのために、SSL接続を使用するすべてのオンラインストアに推奨されます。');
    
  break;
  case ('23'):
    define('POPUP_ERROR_HEADING', 'Enable SSL');
    define('POPUP_ERROR_TEXT', '');
    
  break;
  case ('24'):
    define('POPUP_ERROR_HEADING', 'データベースホスト名が入力されませんでした');
    define('POPUP_ERROR_TEXT', 'データベースホスト名が入力されませんでした。有効なデータベースサーバホスト名を入力してください。<br />これはあなたのホストがデータベースプログラムを実行するウェブサーバの名前です。ほとんどの場合、\'localhost\'のままで大丈夫です。それ以外の場合は、それらのデータベースサーバのサーバ名をホスティングプロバイダへ尋ねる必要があるでしょう。');
  break;
  
  case ('25'):
    define('POPUP_ERROR_HEADING', 'データベース名が入力されませんでした');
    define('POPUP_ERROR_TEXT', 'データベース名が入力されませんでした。Zen Cartに使用したいデータベース名を入力してください。<br />これはZen Cartに使用するデータベースの名前です。もし何を入力するか不確実であるならば、ホスティングプロバイダに詳細を確認してください。');
    
  break;
  case ('26'):
    define('POPUP_ERROR_HEADING', 'SQLインストールファイルが存在しません');
    define('POPUP_ERROR_TEXT', 'SQLインストールファイルを見つけることができませんでした。このファイルは、\'zc_install\' ディレクトリに \'mysql_zencart.sql\' というような名前で存在しているはずです。');
    
  break;
  case ('27'):
    define('POPUP_ERROR_HEADING', 'データベースはサポートされていません');
    define('POPUP_ERROR_TEXT', '選択したデータベースタイプはインストールされているバージョンのPHPで対応されていないようです。選択したデータベースタイプが対応されているかホスティングプロバイダへ確認する必要があります。もし自分自身のサーバであれば、そのデータベースタイプがPHPにコンパイルし組み込んだか確認してください。またモジュール/dllファイルはロードされている必要があります。');
    
  break;
  case ('28'):
    define('POPUP_ERROR_HEADING', 'データベース接続失敗');
    define('POPUP_ERROR_TEXT', 'データベースへ接続できませんでした。これはいくつかの理由により起こりえます。<br /><br />DBホスト名が正しくないか、ユーザ名または<em>パスワード</em>が正しくないのでしょう。<br /><br />データベース名が正しくないのかもしれません。すべての入力項目が正しいか確認してください。');
    
  break;
  case ('29'):
    define('POPUP_ERROR_HEADING', 'データベースを作成できませんでした');
    define('POPUP_ERROR_TEXT', '新規データベース作成の権限を持っていないようです。データベース作成のためにはご自身のホストへ連絡を取る必要があるでしょう。あるいはcPanelやphpMyAdminが必要かもしれません。一度手動でデータベースを作成したら、Zen Cartインストーラの \'データベース作成\' オプションは選択しないでください。');
    
  break;
  case ('30'):
    define('POPUP_ERROR_HEADING', 'データベースが存在しません');
    define('POPUP_ERROR_TEXT', '入力されたデータベース名は見つかりません。入力内容が正しいかチェックしてください。');
    
  break;
  case ('31'):
    define('POPUP_ERROR_HEADING', '店舗名が入力されませんでした');
    define('POPUP_ERROR_TEXT', '店舗名を指定してください。');
    
  break;
  case ('32'):
    define('POPUP_ERROR_HEADING', '店舗オーナーが入力されませんでした');
    define('POPUP_ERROR_TEXT', '店舗オーナーの名前を入力してください。この情報は \'Contact Us\' ページ、\'Welcome\' メール、および店の色々な箇所に表示されます。');
    
  break;
  case ('33'):
    define('POPUP_ERROR_HEADING', '店舗emailが入力されませんでした');
    define('POPUP_ERROR_TEXT', '店舗のemailアドレスを入力してください。これは店から発送される電子メール中の連絡先に使用されるアドレスです。あなたが手動で表示するようにカスタマイズしない限り、この情報はどのページにも表示されることはありません。');
    
  break;
  case ('34'):
    define('POPUP_ERROR_HEADING', '店舗emailアドレスが有効ではありません');
    define('POPUP_ERROR_TEXT', '有効なemailアドレスを入力してください。');
    
  break;
  case ('35'):
    define('POPUP_ERROR_HEADING', '店舗住所が入力されませんでした');
    define('POPUP_ERROR_TEXT', '店舗の住所を入力してください。これは Contact-Us ページや(必要に応じて非表示にすることもできます)、納品書/内容明細票に表示されます。また、チェックアウトで顧客がcheck/money-orderでの購入を選択した際にもこの情報が表示されるでしょう。');
    
  break;
  case ('36'):
    define('POPUP_ERROR_HEADING', 'デモ商品SQLファイルが存在しません');
    define('POPUP_ERROR_TEXT', 'Zen Cartデモ商品をあなたの店舗へロードするためのSQLファイルが見つかりませんでした。/zc_install/demo/xxxxxxx_demo.sql ファイルが存在するかチェックしてください。(xxxxxxx = あなたのデータベースタイプ)');
    
  break;
  case ('37'):
    define('POPUP_ERROR_HEADING', '店舗名');
    define('POPUP_ERROR_TEXT', 'あなたの店舗の名称です。これはこのシステムによって送られる電子メール、場合によってブラウザのタイトルの中で使用されます。');
    
  break;
  case ('38'):
    define('POPUP_ERROR_HEADING', '店舗オーナー');
    define('POPUP_ERROR_TEXT', '店舗オーナーはこのシステムによって送られる電子メールの中で使用されます。');
    
  break;
  case ('39'):
    define('POPUP_ERROR_HEADING', '店舗オーナーEmail');
    define('POPUP_ERROR_TEXT', 'あなたの店舗が連絡を受けることができる主要な電子メールアドレスです。システムによって送られたほとんどの電子メールや、Contact usページに使用されます。');
    
  break;
  case ('40'):
    define('POPUP_ERROR_HEADING', '国');
    define('POPUP_ERROR_TEXT', 'あなたの店舗が拠点を置く国です。税および発送のオプションが正しく働くために、これを正確に設定することが重要です。さらにこれは納品書における宛名のレイアウトなどを決定します。');
    
  break;
  case ('41'):
    define('POPUP_ERROR_HEADING', 'ゾーン');
    define('POPUP_ERROR_TEXT', 'あなたの店舗が拠点を置く国の地理的な区分です。例えばアメリカ合衆国の州、日本の都道府県です。');
    
  break;
  case ('42'):
    define('POPUP_ERROR_HEADING', '店舗住所');
    define('POPUP_ERROR_TEXT', '店舗の住所です。納品書や注文確認に使用されます。');
    
  break;
  case ('43'):
    define('POPUP_ERROR_HEADING', 'デフォルトの言語');
    define('POPUP_ERROR_TEXT', 'あなたの店舗で使うデフォルトの言語です。もし正確な言語パックがロードされれば、Zen Cartは本質的に多言語です。Zen Cartは英語パックがデフォルトになっています。');
    
  break;
  case ('44'):
    define('POPUP_ERROR_HEADING', 'デフォルトの通貨');
    define('POPUP_ERROR_TEXT', 'あなたの店舗で扱うデフォルトの通貨を選択してください。もし希望するものがリストになければ、インストール完了後に管理者エリアで簡単に変更できます。');
    
  break;
  case ('45'):
    define('POPUP_ERROR_HEADING', 'デモ商品インストール');
    define('POPUP_ERROR_TEXT', 'Zen Cartの様々な特徴を試してみるために、デモ商品をデータベースにインストールするかどうか選択してください。');
    
  break;
  case ('46'):
    define('POPUP_ERROR_HEADING', '管理者IDが入力されませんでした');
    define('POPUP_ERROR_TEXT', 'インストール完了後に管理者エリアへログインするための管理者IDを指定する必要があります。');
    
  break;
  case ('47'):
    define('POPUP_ERROR_HEADING', '管理者emailが入力されませんでした');
    define('POPUP_ERROR_TEXT', '管理者emailアドレスは、あなたがパスワードを忘れパスワード再送をする際に使用されます。');
    
  break;
  case ('48'):
    define('POPUP_ERROR_HEADING', '管理者emailは有効なものではありません');
    define('POPUP_ERROR_TEXT', '有効なemailアドレスを入力してください');
    
  break;
  case ('49'):
    define('POPUP_ERROR_HEADING', '管理者パスワードが入力されませんでした');
    define('POPUP_ERROR_TEXT', 'セキュリティのために、パスワードは空白にはできません。');
    
  break;
  case ('50'):
    define('POPUP_ERROR_HEADING', 'パスワードが一致しません');
    define('POPUP_ERROR_TEXT', '管理者パスワードおよび確認を再入力してください。');
    
  break;
  case ('51'):
    define('POPUP_ERROR_HEADING', '管理者ID');
    define('POPUP_ERROR_TEXT', 'インストール完了後に管理者エリアへログインするための管理者IDをここで指定する必要があります。');
    
  break;
  case ('52'):
    define('POPUP_ERROR_HEADING', '管理者Emailアドレス');
    define('POPUP_ERROR_TEXT', '管理者emailアドレスは、あなたがパスワードを忘れパスワード再送をする際に使用されます。');
    
  break;
  case ('53'):
    define('POPUP_ERROR_HEADING', '管理者パスワード');
    define('POPUP_ERROR_TEXT', '管理者パスワードはあなたに管理者エリアへのアクセスを与えるあなたの安全なパスワードです。');
    
  break;
  case ('54'):
    define('POPUP_ERROR_HEADING', '管理者パスワード(確認)');
    define('POPUP_ERROR_TEXT', '当然、一致するパスワードを入力する必要があります。');
    
  break;
  case ('55'):
    define('POPUP_ERROR_HEADING', '非対応のバージョンのPHP です');
    define('POPUP_ERROR_TEXT', 'あなたのウェブサーバ上で動いているバージョンのPHPはZen Cartでは対応していません。加えて、PHP Version 4.1.2のいくつかのリリースはスーパーグローバル配列に影響を及ぼすバグを含んでいます。これはZen Cartの管理者セクションへアクセスできなくなる結果をもたらすかもしれません。可能であればPHPのバージョンをアップグレードすることを勧めます。');
    
  break;
  case ('56'):
    define('POPUP_ERROR_HEADING', 'admin configure.php が書き込み可能ではありません');
    define('POPUP_ERROR_TEXT', 'ファイル admin/includes/configure.php は書き込み可能ではありません。UnixやLinuxシステムを使用されているのであれば、Zen Cartのインストールが完了するまでCHMODにより777または666に変更してください。Windowsシステムであれば、単にread/writeに設定してください。');
    
  break;
  case ('57'):
    define('POPUP_ERROR_HEADING', 'store configure.php が書き込み可能ではありません');
    define('POPUP_ERROR_TEXT', 'ファイル includes/configure.php は書き込み可能ではありません。UnixやLinuxシステムを使用されているのであれば、Zen Cartのインストールが完了するまでCHMODにより777または666に変更してください。Windowsシステムであれば、単にread/writeに設定してください。');
    
  break;
  case ('58'):
    define('POPUP_ERROR_HEADING', 'データベーステーブルプレフィクス');
    define('POPUP_ERROR_TEXT', 'Zen Cartは、使用されるテーブルの名前にプレフィクスを加えることができます。あなたのホストがあなたに1つだけデータベースを与えており、データベースを使用するほかのスクリプトもインストールしたい場合に、これは特に有用です。通常はデフォルトのセッティングのままにしておくべきです。');
    
  break;
  case ('59'):
    define('POPUP_ERROR_HEADING', 'SQLキャッシュディレクトリ');
    define('POPUP_ERROR_TEXT', 'SQLクエリは、データベースの中やサーバのハードディスク上のファイルにキャッシュすることができます。 サーバのハードディスク上のファイルへのSQLキャッシュを選択したならば、この情報を保存することができるディレクトリを提供しなければなりません。標準的なZen Cartのインストールは \'cache\' フォルダを含んでいます。ウェブサーバ（例えばapache）がそれにアクセスできるように、このフォルダを読み書き可能にする必要があります。あなたの選択したディレクトリが存在し、ウェブサーバによって書き込み可能であるか(CHMOD 777または少なくとも666を推奨)確認してください。');
    
  break;
  case ('60'):
    define('POPUP_ERROR_HEADING', 'SQL Cache Method');
    define('POPUP_ERROR_TEXT', 'いくつかのSQLクエリはキャッシュすることができます。キャッシュされた場合より速く処理されます。SQLクエリをキャッシュするためにどの方法を使用するか決めることができます。<br /><br /><strong>None</strong>. SQLクエリは全くキャッシュされません。もし商品やカテゴリがとても少ないなら、あなたのサイトにとってこれが最良なスピードをもたらします。<br /><br /><strong>Database</strong>. SQLクエリはデータベーステーブルにキャッシュされます。これは、中規模の商品/カテゴリ数のサイトでは速度アップをもたらすでしょう。<br /><br /><strong>File</strong>. SQLクエリはあなたのサーバのハードディスクにキャッシュされます。これを機能させるためには、ウェブサーバによって書き込みできるクエリをキャッシュするディレクトリを確認する必要があります。この方法は大規模な商品/カテゴリ数のサイトに適しているでしょう。');
    
  break;

  case ('61'):
    define('POPUP_ERROR_HEADING', 'Session/SQL キャッシュディレクトリが入力されませんでした');
    define('POPUP_ERROR_TEXT', 'Session/SQLクエリのキャッシングにファイルを使用したい場合、あなたのウェブサーバ上の有効なディレクトリを指定する必要があります。またウェブサーバがそのディレクトリへの書き込み権限を持っていることを確認してください。');
    
  break;
  case ('62'):
    define('POPUP_ERROR_HEADING', 'Session/SQL キャッシュディレクトリは存在しません');
    define('POPUP_ERROR_TEXT', 'Session/SQLクエリのキャッシングにファイルを使用したい場合、あなたのウェブサーバ上の有効なディレクトリを指定する必要があります。またウェブサーバがそのディレクトリへの書き込み権限を持っていることを確認してください。');
    
  break;
  case ('63'):
    define('POPUP_ERROR_HEADING', 'Session/SQL キャッシュディレクトリは書き込み可能ではありません');
    define('POPUP_ERROR_TEXT', 'Session/SQLクエリのキャッシングにファイルを使用したい場合、あなたのウェブサーバ上の有効なディレクトリを指定する必要があります。またウェブサーバがそのディレクトリへの書き込み権限を持っていることを確認してください。Linux/UnixにおいてはCHMOD 666または777、WindowsサーバにおいてはRead/Writeを適用してください。');
    
  break;
  case ('64'):
    define('POPUP_ERROR_HEADING', 'あなたのサイトのphpBBフォーラムとリンクさせますか？');
    define('POPUP_ERROR_TEXT', 'あなたのZen Cartストアを、既に設置してあるphpBBフォーラムと接続したければ、Yesを選択してください。');
    
  break;
  case ('65'):
    define('POPUP_ERROR_HEADING', 'phpBBデータベースプレフィクス');
    define('POPUP_ERROR_TEXT', 'phpBBテーブル用のプレフィクスを指定してください。通常は \'phpBB_\' です。');
    
  break;
  case ('66'):
    define('POPUP_ERROR_HEADING', 'phpBBデータベース名 ');
    define('POPUP_ERROR_TEXT', 'あなたのphpBBテーブルがあるデータベース名を指定してください。');
  break;
  case ('67'):
    define('POPUP_ERROR_HEADING', 'phpBBディレクトリ');
    define('POPUP_ERROR_TEXT', 'あなたのphpBBスクリプトファイルが格納されている場所への完全なパスを指定してください。あなたの店舗のphpBBリンクをクリックした際のリンク先を、Zen Cartが知ることを可能にするでしょう。<br /><br />ここに入力されるパスは、サーバの"root"からの相対パスです。あなたのphpBBが <strong>/home/users/username/public_html/phpbb </strong>に設置してあるなら、<strong>/home/users/username/public_html/phpbb/ </strong>と入力する必要があります。それがサブフォルダの別のセットの下にある場合、パス中のそれらのフォルダをリストする必要があります。<br /><br />そのフォルダにあなたの "<em>config.php</em>" ファイルを見つけるでしょう。');
  break;
  case ('68'):
    define('POPUP_ERROR_HEADING', 'phpBBディレクトリ');
    define('POPUP_ERROR_TEXT', 'あなたの指定したディレクトリにphpBB configureファイルを見つけることができませんでした。この自動設定を使用するならば、phpBBは既にインストールされている必要があります。そうでなければ、phpBBの自動設定をスキップし、後で手動で設定する必要があります。<br /><br />ここに入力されたパスは、サーバの"root"からの相対パスです。あなたのphpBBが <strong>/home/users/username/public_html/phpbb </strong>に設置してあるなら、<strong>/home/users/username/public_html/phpbb/ </strong>を入力する必要があります。それがサブフォルダの別のセットの下にある場合、パス中のそれらのフォルダをリストする必要があります。<br /><br />そのフォルダにあなたの "<em>config.php</em>" ファイルを見つけるでしょう。');
  break;
  case ('69'):
    define('POPUP_ERROR_HEADING', 'Register Globals');
    define('POPUP_ERROR_TEXT', 'Zen Cartは "Register Globals" の設定がonでもoffでも動きます。しかしながら、"off" であることであなたのシステムを多少より安全にします。');
  break;
  case ('70'):
    define('POPUP_ERROR_HEADING', 'Safe Mode is On');
    define('POPUP_ERROR_TEXT', '包括的e-CommerceアプリケーションであるZen Cartは、Safe Modeで稼働しているサーバではうまく機能しません。<br /><br />e-Commerceシステムを実行することは、多数の先進的なサービスを必要とし、廉価な「共有」ホスティングサービスで制限されることがよくあります。最適なやり方でオンラインストアを運用するには あなたやあなたのウェブスペースを"Safe Mode" にしない、ウェブホスティングサービスの設定が求められます。ホスティング会社にphp.iniファイル内の "SAFE_MODE=OFF" をセットさせる必要があります。');
  break;
  case ('71'):
    define('POPUP_ERROR_HEADING', 'ファイルベースキャッシングサポートのためにキャッシュフォルダが必要です');
    define('POPUP_ERROR_TEXT', 'Zen CartのファイルベースSQLキャッシュサポートを使用するなら、あなたのウェブスペースのキャッシュフォルダの権限を適切に設定する必要があります。<br /><br />キャッシュフォルダを使用したくなければ、"Database Caching"または"No Caching"を選択することもできます。この場合、セッショントラッカーが同様にファイルキャッシュを使用するので "store sessions" も使用しない必要があるかもしれません。<br /><br />キャッシュフォルダを適切にセットアップするために、あなたのFTPプログラムまたはサーバへシェル・アクセスを使用し、フォルダのパーミッションをCHMOD 666または777にしてください。<br /><br />明確に、あなたのウェブサーバのユーザID（例えば：\'apache\' や \'www-user\' またはWindowsでは \'IUSR_something\'）は、キャッシュフォルダに対して \'read-write-delete\' すべての権限をもっていなければなりません。');
  break;
  case ('72'):
    define('POPUP_ERROR_HEADING', 'ERROR: すべてのconfigure.phpファイルを新しいプレフィクスで更新できませんでした');
    define('POPUP_ERROR_TEXT', 'テーブル名を変更した後でconfigure.phpファイルの更新中にエラーが発生しました。/includes/configure.php と /admin/includes/configure.php ファイルを手動で編集し、"DB_PREFIX" がZen Cartテーブルのために適切に "define" されていることを確認する必要があります。');
  break;
  case ('73'):
    define('POPUP_ERROR_HEADING', 'ERROR: すべてのテーブルに新しいテーブルプレフィクスを適用できませんでした');
    define('POPUP_ERROR_TEXT', 'あなたのデータベーステーブルを新しいテーブルプレフィクスを付加して改名を試みている間に、エラーが発生しました。あなたのデータベーステーブル名を手作業で調査する必要があるでしょう。最悪の場合、あなたのバックアップから復旧する必要があるかもしれません。');
  break;
  case ('74'):
    define('POPUP_ERROR_HEADING', '物理HTTPSパス');
    define('POPUP_ERROR_TEXT', '一部のレンタルサーバーではSSLを有効にした状態でコンテンツを表示する際、通常とは別のディレクトリにコンテンツを配置する必要があります。このような環境の場合そのディレクトリにもZen Cartをインストールする必要があります。物理HTTPSパスはこのSSL用にZen Cartのファイル郡をインストールしたディレクトリへのパスです。例として、あるレンタルサーバーではSSLを使用しない通常コンテンツ用のhtmlファイルは /http へ格納され、SSL用コンテンツは/httpsへ格納されるとします。もしZen Cartファイル群を \'store\' というディレクトリへ置いたなら、物理パスは /http/store、物理SSLパスは/https/store となるでしょう。もし、通常コンテンツとSSL用コンテンツがどちらも同じディレクトリに配置すればよい環境の場合は空欄で結構です。');

  case ('75'):
    define('POPUP_ERROR_HEADING', '物理HTTPSパスは正しくありません');
    define('POPUP_ERROR_TEXT', '入力された物理HTTPSパスは有効ではありません。修正して再度試してください。');
    
  break;



}

?>
